Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.admin.nodes
Class AdminNode

    java.lang.Object
      com.dbxml.db.admin.nodes.AdminNode

Direct Known Subclasses:
  CollectionNode, CollectionsNode, DirectoryNode, DocumentNode, DocumentsNode, ExtensionNode, ExtensionsNode, FileNode, IndexesNode, IndexNode, RoleNode, RolesNode, RootNode, SecurityNode, TriggerNode, TriggersNode, UserNode, UsersNode

public abstract class AdminNode
extends java.lang.Object

AdminNode

Constructor Summary
`AdminNode(AdminNode parentNode)`

Method Summary
`void` | `close()`
`java.awt.Color` | `getColor()`
`java.awt.Font` | `getFont()`
`javax.swing.Icon` | `getIcon()`
`abstract java.lang.String` | `getLabel()`
`java.lang.String` | `getMenuTitle()`
`AdminNode` | `getParentNode()`
`java.lang.String` | `getTooltip()`
`boolean` | `isParentMenuInherited()`
`int` | `menuAction(int action)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AdminNode

    public AdminNode(AdminNode parentNode)

Method Detail

### getLabel

    public abstract java.lang.String getLabel()

### getParentNode

    public AdminNode getParentNode()

### getFont

    public java.awt.Font getFont()

### getColor

    public java.awt.Color getColor()

### getIcon

    public javax.swing.Icon getIcon()

### getTooltip

    public java.lang.String getTooltip()

### close

    public void close()

### getMenuTitle

    public java.lang.String getMenuTitle()

### menuAction

    public int menuAction(int action)

### isParentMenuInherited

    public boolean isParentMenuInherited()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group